function name=IdToName(id);
%IDTONAME- return name of test
%
%   Usage:
%      name=IdToName(id);

switch id,
	case 101, name='SquareShelfConstrainedStressSSA2d';
	case 102, name='SquareShelfConstrainedStressSSA3d';
	case 103, name='SquareShelfConstrainedStressHO';
	case 104, name='SquareShelfConstrainedStressFS';
	case 105, name='SquareShelfConstrainedMasstransp2d';
	case 106, name='SquareShelfConstrainedMasstransp2dDG';
	case 107, name='SquareShelfConstrainedMasstransp3d';
	case 108, name='SquareShelfConstrainedTherStea';
	case 109, name='SquareShelfConstrainedTherTran';
	case 110, name='SquareShelfConstrainedTranSSA2d';
	case 111, name='SquareShelfConstrainedTranHO';
	case 112, name='SquareShelfConstrainedSurfSlop2d';
	case 113, name='SquareShelfConstrainedSurfSlope3d';
	case 114, name='SquareShelfConstrainedBedSlop2d';
	case 115, name='SquareShelfConstrainedBedSlop3d';
	case 116, name='SquareShelfConstrainedBalThic2d';
	case 117, name='SquareShelfConstrainedBalThic3d';
	case 118, name='SquareShelfConstrainedBalThic2dDG';
	case 119, name='SquareBamgMesh';
	case 120, name='SquareShelfConstrainedEnthalpyStea';
	case 121, name='SquareShelfConstrainedEnthalpyTran';
	case 122, name='SquareShelfConstrainedTransHOEnth';
	case 123, name='SquareShelfConstrainedTranMisfitSurface';
	case 124, name='SquareShelfConstrainedTranFSFreeSurface';
	case 201, name='SquareShelfStressSSA2d';
	case 202, name='SquareShelfStressSSA3d';
	case 203, name='SquareShelfStressHO';
	case 204, name='SquareShelfStressFS';
	case 205, name='SquareShelfStressMHOPenalties';
	case 206, name='SquareShelfTherStea';
	case 207, name='SquareShelfTherTran';
	case 208, name='SquareShelfTranSSA2d';
	case 209, name='SquareShelfTranSSA3d';
	case 210, name='SquareShelfTranHO';
	case 211, name='SquareShelfTranFS';
	case 212, name='SquareShelfCMBSSA2d';
	case 213, name='SquareShelfCMBSSA3d';
	case 214, name='SquareShelfCMBHO';
	case 215, name='SquareShelfCMBFS';
	case 216, name='SquareShelfStressSSA2dRift';
	case 217, name='SquareShelfConstrained';
	case 218, name='SquareShelfConstrainedDakotaB';
	case 219, name='SquareShelfStressSSAHOTiling';
	case 220, name='SquareShelfStressHOFS3dTiling';
	case 221, name='SquareShelfStressSSAFS3dTiling';
	case 222, name='SquareShelfStressSSA2dTransientIncrHydro';
	case 223, name='SquareShelfStressSSA2dTransientIncrNonHydro';
	case 224, name='SquareShelfStressHOTransientIncrHydro';
	case 225, name='SquareShelfStressHOTransientIncrNonHydro';
	case 226, name='SquareShelfTranCflSSA2d';
	case 227, name='SquareShelfTranCflHO';
	case 228, name='SquareShelfTranForceNeg2d';
	case 229, name='SquareShelfTranForcePos2d';
	case 230, name='SquareShelfTranForceNeg3d';
	case 231, name='SquareShelfTranForcePos3d';
	case 232, name='SquareShelfTherTranForcTemp';
	case 233, name='SquareShelfTranHOForcTemp';
	case 234, name='SquareShelfTranForceNeg2dDakotaSamp';
	case 235, name='SquareShelfTranForceNeg2dDakotaLocal';
	case 236, name='SquareShelfTranIspddIsdeltaSSA2d';
	case 237, name='SquareShelfTranIspddIsdeltaSSA3d';
	case 238, name='SquareShelfTranForceNoInterp2d';
	case 239, name='SquareShelfTranForceNoInterp3d';
	case 270, name='SquareShelfStressSSA2dDamage';
	case 271, name='SquareShelfStressSSA2dDamageTran';
	case 272, name='SquareShelfCMZSSA2dDamage';
	case 274, name='SquareShelfStressSSA2dDamageRift';
	case 275, name='SquareShelfDamageEvolutionSSA2d';
	case 276, name='SquareShelfDamageEvolutionSSA2dP2';
	case 280, name='SquareShelfStressSSA2dHigherOrder';
	case 285, name='SquareShelfStressHOHigherOrder';
	case 290, name='SquareShelfStressFSP2P1';
	case 291, name='SquareShelfStressFSP4z';
	case 292, name='SquareShelfTranSSA2dFloatingMeltParam';
	case 301, name='SquareSheetConstrainedStressSSA2d';
	case 302, name='SquareSheetConstrainedStressSIA2d';
	case 303, name='SquareSheetConstrainedStressSIASSA2d';
	case 304, name='SquareSheetConstrainedStressSSA3d';
	case 305, name='SquareSheetConstrainedStressSIA3d';
	case 306, name='SquareSheetConstrainedStressSIASSA3d';
	case 307, name='SquareSheetConstrainedStressHO';
	case 308, name='SquareSheetConstrainedStressFS';
	case 309, name='SquareSheetConstrainedMasstransp2d';
	case 320, name='SquareSheetConstrainedMasstransp2dDG';
	case 311, name='SquareSheetConstrainedMasstransp3d';
	case 312, name='SquareSheetConstrainedTherStea';
	case 313, name='SquareSheetConstrainedTherTran';
	case 314, name='SquareSheetConstrainedTranSIA2d';
	case 315, name='SquareSheetConstrainedTranSIA3d';
	case 316, name='SquareSheetConstrainedTranSSA2d';
	case 317, name='SquareSheetConstrainedTranHO';
	case 318, name='SquareSheetConstrainedSteaSIA3d';
	case 319, name='SquareSheetConstrainedCMDragSSA2d';
	case 320, name='SquareSheetConstrainedCMDragSSA3d';
	case 321, name='SquareSheetConstrainedCMDragHO';
	case 322, name='SquareSheetConstrainedCMDragFS';
	case 323, name='SquareSheetConstrainedTranCflSSA2d';
	case 324, name='SquareSheetConstrainedTranCflSIA3d';
	case 325, name='SquareSheetConstrainedEnthalpyStea';
	case 326, name='SquareSheetConstrainedEnthalpyTran';
	case 327, name='SquareSheetConstrainedTransHOEnth';
	case 328, name='SquareSheetConstrainedSmbGradients2d';
	case 329, name='SquareSheetConstrainedSmbGradients3d';
	case 332, name='SquareSheetConstrainedHydrologyDC';
	case 333, name='SquareSheetHydrologyDCTwoLayers';
	case 334, name='SquareSheetConstrainedExtrudedHydrologyDC';
	case 335, name='SquareSheetExtrudedHydrologyDCTwoLayers';
	case 336, name='SquareSheetConstrainedSmbComponents2d';
	case 337, name='SquareSheetConstrainedSmbComponents3d';
	case 338, name='SquareSheetConstrainedSmbMeltComponents2d';
	case 339, name='SquareSheetConstrainedSmbMeltComponents3d';
	case 401, name='SquareSheetShelfStressSSA2d';
	case 402, name='SquareSheetShelfStressSSA3d';
	case 403, name='SquareSheetShelfStressHO';
	case 404, name='SquareSheetShelfStressFS';
	case 405, name='SquareSheetShelfStressMHOPenalties';
	case 406, name='SquareSheetShelfTherStea';
	case 407, name='SquareSheetShelfTherTran';
	case 408, name='SquareSheetShelfTranSSA2d';
	case 409, name='SquareSheetShelfTranMHOPenalties';
	case 410, name='SquareSheetShelfSteaSSA3d';
	case 411, name='SquareSheetShelfSteaHO';
	case 412, name='SquareSheetShelfDiadSSA3dDakota';
	case 413, name='SquareSheetShelfDiadSSA3dDakotaPart';
	case 414, name='SquareSheetShelfDiadSSA3dDakotaMassFlux';
	case 415, name='SquareSheetShelfCMDragSteaSSA3d';
	case 416, name='SquareSheetShelfCMDragSteaHO';
	case 417, name='SquareSheetShelfDiadSSA3dDakotaSamp';
	case 418, name='SquareSheetShelfDiadSSA3dDakotaAreaAverage';
	case 419, name='SquareSheetShelfStressSSAHOTiling';
	case 420, name='SquareSheetShelfDakotaScaledResponse';
	case 421, name='SquareSheetShelfStressHOFS3dTiling';
	case 422, name='SquareSheetShelfStressSSAFS3dTiling';
	case 423, name='RoundSheetShelfGLMigrationSSA2d';
	case 424, name='SquareSheetShelfGroundingLine2dAggressive';
	case 425, name='SquareSheetShelfGroundingLine2dSoft';
	case 426, name='SquareSheetShelfGroundingLine3dAggressive';
	case 427, name='SquareSheetShelfGroundingLine3dSoft';
	case 428, name='SquareSheetShelfStressSSA2dNewton';
	case 429, name='SquareSheetShelfStressHONewton';
	case 431, name='SquareSheetShelfSteaEnthalpySSA3d';
	case 432, name='SquareSheetShelfSteaEnthalpyHO';
	case 433, name='RoundSheetShelfGLMigrationSSA3d';
	case 434, name='SquareSheetShelfL1L2';
	case 435, name='MISMIP3DHO';
	case 450, name='SquareSheetShelfStressSSAHigherOrder';
	case 455, name='SquareSheetShelfStressHOHigherOrder';
	case 501, name='PigStressSSA2d';
	case 502, name='PigStressHO';
	case 503, name='PigStressFS';
	case 504, name='PigTranSSA2d';
	case 505, name='PigTranSSA3d';
	case 506, name='PigTranHO';
	case 507, name='PigTranFS';
	case 508, name='PigSteaSSA3d';
	case 509, name='PigSteaHO';
	case 510, name='PigSteaFS';
	case 530, name='PigBalVel1';
	case 531, name='PigBalVel2';
	case 511, name='PigCMBFS';
	case 512, name='PigCMDragHO';
	case 513, name='PigCMDragSteaSSA3d';
	case 514, name='PigBamgMesh';
	case 515, name='PigTherTranSUPG';
	case 516, name='PigTherSteaSUPG';
	case 601, name='79NorthMasstransp2d';
	case 602, name='79NorthMasstransp2dDG';
	case 603, name='79NorthMasstransp3d';
	case 604, name='79NorthSurfSlop2d';
	case 605, name='79NorthSurfSlop3d';
	case 606, name='79NorthBedSlop2d';
	case 607, name='79NorthBedSlop3d';
	case 608, name='79NorthBalThic2d';
	case 609, name='79NorthBalThic2dDG';
	case 610, name='79NorthBalThic3d';
	case 611, name='79NorthCMBalThic2dCG';
	case 613, name='79NorthCMBalThicVxVy';
	case 701, name='FlowbandFSshelf';
	case 702, name='FlowbandFSsheetshelf';
	case 703, name='FlowbandFSsheetshelfTrans';
	case 801, name='ValleyGlacierLevelsetSSA2d';
	case 802, name='ValleyGlacierLevelsetThermalSSA3d';
	case 803, name='ValleyGlacierLevelsetEnthalpyHO3d';
	case 804, name='ValleyGlacierLevelsetCalvingSIA2d';
	case 805, name='ValleyGlacierLevelsetEnthCalvingHO3d';
	case 1101, name='ISMIPAHO';
	case 1102, name='ISMIPAFS';
	case 1103, name='ISMIPBHO';
	case 1104, name='ISMIPBFS';
	case 1105, name='ISMIPCHO';
	case 1106, name='ISMIPCFS';
	case 1107, name='ISMIPDHO';
	case 1108, name='ISMIPDFS';
	case 1109, name='ISMIPE';
	case 1110, name='ISMIPF';
	case 1201, name='EISMINTMassConservation';
	case 1202, name='EISMINTStress1';
	case 1203, name='EISMINTStress2';
	case 1204, name='EISMINTTran2';
	case 1205, name='EISMINTRoundIceSheetStaticSIA';
	case 1206, name='EISMINTRoundIceSheetStaticHO';
	case 1207, name='EISMINTRoundIceSheetStaticFS';
	case 1208, name='EISMINTA';
	case 1301, name='ThermalMelting';
	case 1302, name='ThermalAdvection';
	case 1303, name='ThermalConduction';
	case 1304, name='ThermalGeothermalFlux';
	case 1401, name='AdaptiveMeshRefinement1';
	case 1402, name='AdaptiveMeshRefinement2';
	case 1501, name='SquareShelfTranSawTooth2d';
	case 1502, name='SquareShelfTranSawTooth3d';
	case 1601, name='SquareShelfSSA2dRotation';
	case 1602, name='SquareSheetShelfHORotation';
	case 2001, name='SquareSheetConstrainedGia2d';
	case 2051, name='GiaBenchmarksAB2dA1';
	case 2052, name='GiaBenchmarksAB2dA2';
	case 2053, name='GiaBenchmarksAB2dA3';
	case 2061, name='GiaBenchmarksAB2dB1';
	case 2062, name='GiaBenchmarksAB2dB2';
	case 2063, name='GiaBenchmarksAB2dB3';
	case 2071, name='GiaBenchmarksAB2dC1';
	case 2072, name='GiaBenchmarksAB2dC2';
	case 2073, name='GiaBenchmarksAB2dC3';
	case 2081, name='GiaBenchmarksAB2dD1';
	case 2082, name='GiaBenchmarksAB2dD2';
	case 2083, name='GiaBenchmarksAB2dD3';
	case 3001, name='SquareShelfConstrainedStressSSA2dAdolc';
	case 3002, name='SquareShelfConstrainedStressSSA3dAdolc';
	case 3003, name='SquareShelfConstrainedStressHOAdolc';
	case 3004, name='SquareShelfConstrainedStressFSAdolc';
	case 3005, name='SquareShelfConstrainedMasstransp2dAdolc';
	case 3006, name='SquareShelfConstrainedMasstransp2dDGAdolc';
	case 3007, name='SquareShelfConstrainedMasstransp3dAdolc';
	case 3008, name='SquareShelfConstrainedTherSteaAdolc';
	case 3009, name='SquareShelfConstrainedTherTranAdolc';
	case 3010, name='SquareShelfConstrainedTranSSA2dAdolc';
	case 3015, name='SquareShelfConstrainedMasstransp2dAdolcForwardDifference';
	case 3019, name='SquareShelfConstrainedTherTranAdolcReverseVsForward';
	case 3020, name='SquareShelfConstrainedTranAdolcReverseVsForward';
	case 3101, name='SquareShelfConstrainedStressSSA2dAdolcMumps';
	case 3102, name='SquareShelfConstrainedStressSSA3dAdolcMumps';
	case 3103, name='SquareShelfConstrainedStressHOAdolcMumps';
	case 3104, name='SquareShelfConstrainedStressFSAdolcMumps';
	case 3105, name='SquareShelfConstrainedMasstransp2dAdolcMumps';
	case 3106, name='SquareShelfConstrainedMasstransp2dDGAdolcMumps';
	case 3107, name='SquareShelfConstrainedMasstransp3dAdolcMumps';
	case 3108, name='SquareShelfConstrainedTherSteaAdolcMumps';
	case 3109, name='SquareShelfConstrainedTherTranAdolcMumps';
	case 3110, name='SquareShelfConstrainedTranSSA2dAdolcMumps';
	case 3115, name='SquareShelfConstrainedMasstransp2dAdolcForwardDifferenceMumps';
	case 3019, name='SquareShelfConstrainedTherTranAdolcReverseVsForward';
	case 3120, name='SquareShelfConstrainedTranAdolcReverseVsForwardMumps';


	otherwise, name='N/A';
end
